Bug 437335 - yum cannot allocate memory when running yum clean all
yum cannot allocate memory when running yum clean all
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 12:21 EDT by Matěj Cepl
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-20 01:52:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2008-03-13 12:21:57 EDT
Description of problem:



[root@hubmaier ~]# yum clean all
Loaded plugins: allowdowngrade, basearchonly, changelog, downloadonly,
              : protectbase, security
Cleaning up Everything
Error: Error accessing directory //var/cache/yum/development/packages, [Errno
12] Cannot allocate memory: '//var/cache/yum/development/packages'
[root@hubmaier ~]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/vol0-log101
                       14G  8.5G  4.6G  66% /
/dev/sda1              76M   33M   40M  45% /boot
tmpfs                 992M  192K  992M   1% /dev/shm
/dev/mapper/vol0-log102
                       52G   46G  3.7G  93% /home
/dev/mapper/vol0-nbk   22G   19G  1.7G  92% /srv/notebook
/dev/mapper/vol0-logVar
                       20G  6.7G   13G  36% /var
/dev/sr0              3.2G  3.2G     0 100% /media/Fedora 8 i386 DVD
[root@hubmaier ~]# free
             total       used       free     shared    buffers     cached
Mem:       2030296    1869924     160372          0      55192     600968
-/+ buffers/cache:    1213764     816532
Swap:      1015800          4    1015796
[root@hubmaier ~]# 

Version-Release number of selected component (if applicable):
yum-3.2.12-3.fc9.noarch

How reproducible:
100%
Comment 1 Seth Vidal 2008-03-13 14:51:29 EDT
What's the filesystem type in /var?
Comment 2 Matěj Cepl 2008-03-19 15:54:22 EDT
[root@hubmaier ~]# mount |grep '/var '
/dev/mapper/vol0-logVar on /var type ext4dev (rw)
[root@hubmaier ~]# tune2fs -l /dev/mapper/vol0-logVar 
tune2fs 1.40.7 (28-Feb-2008)
Filesystem volume name:   <none>
Last mounted on:          <not available>
Filesystem UUID:          8f478d1d-ca0e-47be-af7d-1493a04ef809
Filesystem magic number:  0xEF53
Filesystem revision #:    1 (dynamic)
Filesystem features:      has_journal ext_attr resize_inode dir_index filetype
needs_recovery extents sparse_super large_file
Filesystem flags:         signed_directory_hash test_filesystem 
Default mount options:    (none)
Filesystem state:         clean
Errors behavior:          Continue
Filesystem OS type:       Linux
Inode count:              1316336
Block count:              5259264
Reserved block count:     262963
Free blocks:              3997445
Free inodes:              1276327
First block:              0
Block size:               4096
Fragment size:            4096
Reserved GDT blocks:      1022
Blocks per group:         32768
Fragments per group:      32768
Inodes per group:         8176
Inode blocks per group:   511
Filesystem created:       Tue Feb 12 17:37:03 2008
Last mount time:          Mon Mar 17 23:49:59 2008
Last write time:          Mon Mar 17 23:49:59 2008
Mount count:              56
Maximum mount count:      23
Last checked:             Tue Feb 12 17:37:03 2008
Check interval:           15552000 (6 months)
Next check after:         Sun Aug 10 18:37:03 2008
Reserved blocks uid:      0 (user root)
Reserved blocks gid:      0 (group root)
First inode:              11
Inode size:		  256
Journal inode:            8
Default directory hash:   tea
Directory Hash Seed:      7cb3738d-e59d-468d-99a8-32e3a407c577
Journal backup:           inode blocks
[root@hubmaier ~]# 
Comment 3 seth vidal 2008-03-19 16:00:04 EDT
If you move /var/cache/yum to an ext3 partition does the problem vanish? If so,
can we bring an ext4 hacker into this bug for help?
Comment 4 Matěj Cepl 2008-03-19 16:07:30 EDT
Actually, I forgot to add the most important thing -- it happened once to me,
and I wasn't able to reproduce it since the filing of this bug.
Comment 5 seth vidal 2008-03-20 01:52:16 EDT
umm, yah.

I'm gonna close this worksforme, b/c it does - let me know if you can replicate it.


Note You need to log in before you can comment on or make changes to this bug.